> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 创建视频重绘

> 创建异步视频重绘任务。

**路径：** `POST https://api.omniall.ai/v1/video/generations`（亦可 `POST /v1/videos`）

建议每 10–15 秒轮询。成功后下载 `result_url` / `video_url` 并尽快转存。

计费秒数：`max(4, ceil(源时长 - 0.1))`，上限 60。

鉴权：`Authorization: Bearer sk-...`




## OpenAPI

````yaml zh-CN/openapi/video-redraw.yaml POST /v1/video/generations
openapi: 3.1.0
info:
  title: Omniall AI — 视频重绘
  version: 1.0.0
  description: >
    OmniAll 自研视频重绘（扩散逐帧重绘，**不是超分**）。


    **创建：** `POST https://api.omniall.ai/v1/video/generations`（亦可 `POST
    /v1/videos`）


    **查询：** `GET /v1/video/generations/{task_id}`


    模型：`omniall-redraw-1`。


    鉴权：`Authorization: Bearer sk-...`
servers:
  - url: https://api.omniall.ai
security: []
paths:
  /v1/video/generations:
    post:
      tags:
        - 平台
      summary: 创建视频重绘
      description: >
        创建异步视频重绘任务。


        **路径：** `POST https://api.omniall.ai/v1/video/generations`（亦可 `POST
        /v1/videos`）


        建议每 10–15 秒轮询。成功后下载 `result_url` / `video_url` 并尽快转存。


        计费秒数：`max(4, ceil(源时长 - 0.1))`，上限 60。


        鉴权：`Authorization: Bearer sk-...`
      operationId: videoRedrawCreate
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            example: Bearer sk-...
          description: Bearer API Key。
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - prompt
                - video_url
                - seconds
              properties:
                model:
                  type: string
                  description: 固定为 `omniall-redraw-1`。输出分辨率用 `resolution` 指定。
                  example: omniall-redraw-1
                prompt:
                  type: string
                  description: 必填；内容可简单如 `"重绘"`。
                  example: 重绘
                video_url:
                  type: string
                  format: uri
                  description: |
                    源视频公网 https 直链（mp4 / mov）。
                    别名：`url` / `videos[0]` / `reference_videos[0]`。
                  example: https://cdn.example.com/clip.mp4
                seconds:
                  oneOf:
                    - type: number
                    - type: string
                  description: |
                    计费秒数。须等于 `max(4, ceil(源时长 - 0.1))`，最大 60。
                  example: 6
                duration:
                  type: number
                  description: 与 `seconds` 等价，二选一即可。
                  example: 6
                resolution:
                  type: string
                  enum:
                    - 720p
                    - 1080p
                    - 4k
                  description: 输出分辨率，默认 `1080p`。
                  example: 1080p
            examples:
              redraw_1080p:
                summary: 1080p 重绘
                value:
                  model: omniall-redraw-1
                  prompt: 重绘
                  video_url: https://cdn.example.com/clip.mp4
                  seconds: 6
                  resolution: 1080p
              redraw_4k:
                summary: 通过 resolution 指定 4K
                value:
                  model: omniall-redraw-1
                  prompt: 重绘
                  video_url: https://cdn.example.com/clip.mp4
                  seconds: 6
                  resolution: 4k
      responses:
        '200':
          description: 已受理
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: task_xxx
                  task_id:
                    type: string
                    example: task_xxx
                  status:
                    type: string
                    example: processing
                  model:
                    type: string
                    example: omniall-redraw-1
                  created_at:
                    type: integer
              example:
                id: task_xxx
                task_id: task_xxx
                status: processing
                model: omniall-redraw-1
        '400':
          description: 请求无效（缺 video_url / prompt、秒数不符、分辨率非法等）
        '401':
          description: 未授权

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.